Subject: [imapext] [Technical Errata Reported] RFC7889 (5726)

From: RFC Errata System <[email-masked]>
Date: Mon, 20 May 2019 14:57:48 -0700 (PDT)

The following errata report has been submitted for RFC7889,
"The IMAP APPENDLIMIT Extension".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5726

--------------------------------------
Type: Technical
Reported by: Stan Kalisch <[email-masked]>

Section: 3.2

Original Text
-------------
   C: t1 LIST "" % RETURN (STATUS (APPENDLIMIT))
   S: * LIST () "."  "INBOX"
   S: * STATUS "INBOX" (APPENDLIMIT 257890)
   S: t1 OK List completed.

Corrected Text
--------------
   C: t1 LIST "" % RETURN (STATUS (APPENDLIMIT))
   S: * LIST () "." "INBOX"
   S: * STATUS "INBOX" (APPENDLIMIT 257890)
   S: t1 OK List completed.

Notes
-----
Line 198 contains two spaces between ""."" and ""INBOX"" instead of one.  While I had the instinct to mark this as editorial, this sample server response, whose genesis appears to be RFC 5819, ended up in two IDs (which were corrected before they became RFCs) as well.  In any event, given that this response also violates the ABNF, and given the RFC Ed.'s guideline on ambiguity, I'm just marking it as technical.  I'll leave it to others more familiar with the practical issues for various implementers to make the final determination on how to label it.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7889 (draft-ietf-imapapnd-appendlimit-extension-10)
--------------------------------------
Title               : The IMAP APPENDLIMIT Extension
Publication Date    : May 2016
Author(s)           : J. SrimushnamBoovaraghamoorthy, N. Bisht
Category            : PROPOSED STANDARD
Source              : IMAP APPEND Extensions
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG